<?php
/**
 * The template part for displaying a message that posts cannot be found.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Dorian
 */
?>

<section class="no-results not-found">
	<header class="page-header">
		<h2 class="page-title"><?php _e( 'Nothing Found', 'dorian' ); ?></h2>
	</header><!-- .page-header -->

	<div class="page-content">
		<?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

			<p><?php printf( __( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'dorian' ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>

		<?php elseif ( is_search() ) : ?>

			<p><?php _e( 'Sorry, but nothing matched your search terms. Browse our recent posts or try searching for something else.', 'dorian' ); ?></p>
			<?php get_search_form(); ?>

		<?php else : ?>

			<p><?php _e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'dorian' ); ?></p>
			<?php get_search_form(); ?>

		<?php endif; ?>
		
		<?php if ( is_search() ) : ?>
		<header class="page-header">
			<h3 class="page-title no-results-posts-title"><?php printf( __( 'Recent Posts', 'dorian' ), '<span> </span>' ); ?></h3>
		</header><!-- .page-header -->
		
		<?php
		// Get the 5 latest posts
        $args = array(
            'posts_per_page' => 5
        );
		
		$my_posts = get_posts( $args );
		
		foreach ($my_posts as $post) : 
			setup_postdata( $post );
			
			//Display the posts using the search page markup
			get_template_part( 'content', 'search' );
		endforeach;
		
		wp_reset_postdata();
		
        endif;
		?>
		
	</div><!-- .page-content -->
</section><!-- .no-results -->
